#!/usr/bin/python
"""
Ensure that the "About Fedora" menu item works
This a regression test for:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=187659
"""
__author='dmalcolm@redhat.com'

import dogtail.tree

# Locate panel, click on "About Fedora":
panelApp = dogtail.tree.root.application('gnome-panel')
topPanel = panelApp.child('Top Panel')
topPanel.menu('System').menuItem('About Fedora').click()

# Ensure Yelp started:
yelpApp = dogtail.tree.root.application('yelp')

# Ensure expected page is displayed, rather than an error dialog:
aboutWin = yelpApp.window('About Fedora')

# Ensure that the index is sane:
index = aboutWin.child(roleName='tree table')
index.child('About Fedora')
index.child('Fedora Extras')
index.child('Fedora Documentation')
index.child('Fedora Translation')
index.child('Fedora Legacy')
# etc



